View Issue Details

IDProjectCategoryView StatusLast Update
0000033WoR[All Projects] Generalpublic2018-12-29 13:11
ReporterMarioAssigned ToMario 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.0Fixed in Version1.0 
Summary0000033: [internal] Use managed wrappers for DISM, Windows Imaging and wimlib APIs
Description

ManagedDISM, ManagedWIMGAPI and ManagedWimLib might be better alternatives to my own wrappers (which are based on the Process API) and would probably save me a lot of time (for progress reporting & error handling, mostly).

TagsNo tags attached.

Activities

Mario

Mario

2018-12-27 11:28

administrator   ~0000055

Last edited: 2018-12-27 11:29

View 2 revisions

Fixed issues 0000027 and 0000030 while replacing some DISM calls with their Windows Imaging API counterparts.
Work in progress.

Mario

Mario

2018-12-29 13:11

administrator   ~0000056

Fixed.

Issue History

Date Modified Username Field Change
2018-12-06 17:43 Mario New Issue
2018-12-06 17:43 Mario Status new => assigned
2018-12-06 17:43 Mario Assigned To => Mario
2018-12-06 17:50 Mario Relationship added parent of 0000013
2018-12-06 17:54 Mario Description Updated View Revisions
2018-12-10 20:19 Mario Relationship deleted parent of 0000013
2018-12-16 12:27 Mario Priority immediate => normal
2018-12-16 12:27 Mario Summary [internal] Code refactoring, possibly other major modifications => [internal] Use managed wrappers for DISM, Windows Imaging and wimlib APIs
2018-12-16 12:27 Mario Description Updated View Revisions
2018-12-27 11:28 Mario Note Added: 0000055
2018-12-27 11:29 Mario Note Edited: 0000055 View Revisions
2018-12-29 13:11 Mario Status assigned => resolved
2018-12-29 13:11 Mario Resolution open => fixed
2018-12-29 13:11 Mario Fixed in Version => 1.0
2018-12-29 13:11 Mario Note Added: 0000056